// main server init

if !(isServer) exitwith{};

// MHQ Ambulance now uses a single instance and the vehicle respawn rescript with init commands
//init="veh = [this, 30, 10, 0, FALSE, FALSE, ""temp = [this, ""MHQ"", MHQWEST] execVM 'scripts\transfer\MHQmarker.sqf';""] execVM ""scripts\vehicle.sqf"";
veh = [MHQ_Ambulance, 30, 0, 0, FALSE, FALSE, "temp = [this, ""MHQ"", MHQWEST] execVM 'scripts\transfer\MHQmarker.sqf'; "] execVM "scripts\vehicle.sqf";

 // Common server events
_events = [] execVM "scripts\EventsS.sqf";

// Reinforcement waypoint generator
_events = [] execVM "scripts\EVO_Erefway.sqf"; 

// Fills out squads for cites
_events = [] execVM "scripts\EVO_FillInf.sqf"; 

// Recycles groups
_events = [] execVM "scripts\EVO_gRecy.sqf";

// City setup (radios,officers,group leaders)
_events = [] execVM "scripts\EVO_Erec.sqf";	

//weather, cleanup, server time synch
_Mthread = [] execVM "scripts\MainThread.sqf";

//manages city surrender and rotation
_events = [] execVM "scripts\EVO_MissionManager.sqf";

//manages enemy aircraft
//_handle = [] execVM "scripts\air\makeair.sqf";

//manages enemy base raiders
if (Raiders >0) then 
{
	_handle = [] execVM "scripts\expansion\makespetz.sqf";
};

if (Raiders >1) then 
{
	_handle = [] execVM "scripts\expansion\makeairbase.sqf";
};

/*
//to follow
//adding script to place statics and weapons into vehicle cargoes
_events = [] execVM "scripts\static_cargo.sqf";

//no longer needed?
_events = [] execVM "scripts\EVO_VecR.sqf"; // Vehicle respawn for non-respawning military vehicles
_events = [] execVM "scripts\EVO_VecRm.sqf";// Vehicle respawn for respawning military vehicles
_events = [] execVM "scripts\EVO_VecRc.sqf";// Vehicle respawn for respawning civilian vehicles
_sin = [] execVM "scripts\sinitS.sqf"; //old main vehicle init
_base = [] execvm "scripts\EVO_makebase.sqf"; // Creates the main west base
*/

