#include "Debugging.hpp"
#include "Spawning.hpp"


class ADPLoading
{
	idd = 6000;
	movingEnable = 1;
	onLoad = "[] spawn ADP_fnc_adpLoading";
	controlsBackground[] = 
	{
	ADP_PICTUREBACK1,
	ADP_PICTUREBACK2
	};
	class ADP_PICTUREBACK1: ADPRscPicture
	{
		idc = -1;
		text = "ADP\Dialog\ADPImage.paa";
		x = 0.247344 * safezoneW + safezoneX;
		y = 0.324 * safezoneH + safezoneY;
		w = 0.505313 * safezoneW;
		h = 0.781 * safezoneH;
	};
	
	class ADP_PICTUREBACK2: ADPRscPicture
	{
		idc = -1;
		text = "ADP\Dialog\ADPloadingtext.PAA";
		x = 0.247344 * safezoneW + safezoneX;
		y = 0.324 * safezoneH + safezoneY;
		w = 0.505313 * safezoneW;
		h = 0.781 * safezoneH;
	};
	
	

	class controls {};
};

class ADP 
{
	idd = 6001;
	movingEnable = 1;
	onLoad = "[] spawn ADP_fnc_adpMain";
	controlsBackground[] = 
	{
	ADP_PICTUREBACK,
	ADP_TEXT1,
	ADP_TEXT2,
	ADP_TEXT4,
	ADP_TEXT5,
	ADP_ClassInfo
	};
	class ADP_PICTUREBACK: ADPRscPicture
	{
		idc = 1200;
		text = "ADP\Dialog\ADPImage.paa";
		x = 0.247344 * safezoneW + safezoneX;
		y = 0.324 * safezoneH + safezoneY;
		w = 0.505313 * safezoneW;
		h = 0.781 * safezoneH;
	};
	class ADP_TEXT5: ADPRscText
	{
		idc = 9000;
		text = "Fade"; //--- ToDo: Localize;
		type = 11;
		style = ST_CENTER;
		x = 0.665 * safezoneW + safezoneX;
		y = 0.550 * safezoneH + safezoneY;
		w = 0.0360937 * safezoneW;
		h = 0.022 * safezoneH;
	};
	class ADP_TEXT1: ADPRscText
	{
		idc = 9002;
		text = "View Distance"; //--- ToDo: Localize;
		type = 11;
		x = 0.608437 * safezoneW + safezoneX;
		y = 0.555 * safezoneH + safezoneY;
		w = 0.08725 * safezoneW;
		h = 0.022 * safezoneH;
	};
	class ADP_TEXT2: ADPRscText
	{
		idc = 9003;
		text = "Grass Quality"; //--- ToDo: Localize;
		type = 11;
		x = 0.608437 * safezoneW + safezoneX;
		y = 0.599 * safezoneH + safezoneY;
		w = 0.08725 * safezoneW;
		h = 0.022 * safezoneH;
	};
	class ADP_TEXT4: ADPRscText
	{
		idc = 9004;
		text = "Shadow Distance"; //--- ToDo: Localize;
		type = 11;
		x = 0.608437 * safezoneW + safezoneX;
		y = 0.643 * safezoneH + safezoneY;
		w = 0.08725 * safezoneW;
		h = 0.022 * safezoneH;
	};	
	class ADP_ClassInfo: ADPRscPicture
	{
		idc = 1648;
		text = "a3\ui_f\data\Logos\arma3_splash_ca.paa";
		style = ST_KEEP_ASPECT_RATIO + 48;
		x = 0.613437 * safezoneW + safezoneX;
		y = 0.73 * safezoneH + safezoneY;
		w = 0.088 * safezoneW;
		h = 0.044 * safezoneH;
		sizeEx = "(((((safezoneW / safezoneH) min 1.2) / 2.2) / 25) * 1)";
	};
	class Controls 
	{
		class ADP_SLIDE1: ADPRscSlider
		{
			idc = 1901;
			x = 0.665 * safezoneW + safezoneX;
			y = 0.545 * safezoneH + safezoneY;
			w = 0.0360937 * safezoneW;
			h = 0.011 * safezoneH;
			onSliderPosChanged = "[6001,(_this) select 1] call ADP_fnc_setFade;";
		};
		
		class ADP_BUTTONEXIT: ADPRscButtonMenu
		{
			idc = 1647;
			text = "X"; //--- ToDo: Localize;
			x = 0.6855 * safezoneW + safezoneX;
			y = 0.499889 * safezoneH + safezoneY;
			w = 0.0229 * safezoneW;
			h = 0.033 * safezoneH;
			tooltip = "Close ADP";
			action = "closeDialog 0";
			};
		class ADP_BUTTONEXEC: ADPRscButtonMenu
		{
			idc = 1601;
			
			text = "EXEC"; //--- ToDo: Localize;
			x = 0.659844 * safezoneW + safezoneX;
			y = 0.863 * safezoneH + safezoneY;
			w = 0.04125 * safezoneW;
			h = 0.022 * safezoneH;
			action = "[_this] call ADP_fnc_MainExec";
		};
		class ADP_EXEC: ADPRscEdit
		{
			idc = 1400; 
			style = ST_LEFT+ST_FRAME;
			autocomplete = "scripting";
			x = 0.396875 * safezoneW + safezoneX;
			y = 0.863 * safezoneH + safezoneY;
			w = 0.257813 * safezoneW;
			h = 0.022 * safezoneH;
			onKeyDown = "_this call ADP_fnc_KeyCheck";
		};

		class IGUIBack_2200: ADP_IGUIBack
		{
			idc = 9400;
			x = 0.396875 * safezoneW + safezoneX;
			y = 0.896 * safezoneH + safezoneY;
			w = 0.257813 * safezoneW;
			h = 0.022 * safezoneH;
		};

		class ADP_EXEC1: RscEditR
		{
			idc = 1405; 
			x = 0.396875 * safezoneW + safezoneX;
			y = 0.896 * safezoneH + safezoneY;
			w = 0.257813 * safezoneW;
			h = 0.022 * safezoneH;
		};
		
		class ADP_LIST: ADPRscListbox
		{
			idc = 1500;
			x = 0.298906 * safezoneW + safezoneX;
			y = 0.555 * safezoneH + safezoneY; //0.039
			w = 0.0979687 * safezoneW;
			h = 0.302 * safezoneH;
			sizeEx = 0.025;
			class ScrollBar
			{
				type = CT_XSLIDER;
				color[] = {1,1,1,1};
				colorActive[] = {1,1,1,1};
				thumb = "#(argb,8,8,3)color(0,0,0,9)";
				arrowEmpty = "#(argb,8,8,3)color(0,0,0,9)";
				arrowFull = "#(argb,8,8,3)color(0.631,0.153,0.153,1)";
				border = "#(argb,8,8,3)color(0.361,0.349,0.353,1)";
			};
			class ListScrollBar: ScrollBar 
			{
				height = 0.021;
				width = 0.021;
				autoScrollEnabled = 0;
				color[] = {1,1,1,1};
			}; 
		};
		
		class ADP_LIST1: ADPRscListbox
		{
			idc = 1565;
			x = 0.510312 * safezoneW + safezoneX;
			y = 0.555 * safezoneH + safezoneY;
			w = 0.0979687 * safezoneW;
			h = 0.302 * safezoneH;
			onLBSelChanged = "[1565,(_this) select 1,1448, 1648] call ADP_fnc_getClassinfo";
			arrowEmpty = "#(argb,8,8,3)color(1,1,1,1)";
			arrowFull = "#(argb,8,8,3)color(1,1,1,1)";
			sizeEx = 0.025;
			class ScrollBar
			{
				type = CT_XSLIDER; 
				color[] = {1,1,1,1};
				colorActive[] = {1,1,1,1};
				thumb = "#(argb,8,8,3)color(0,0,0,9)";
				arrowEmpty = "#(argb,8,8,3)color(0,0,0,9)";
				arrowFull = "#(argb,8,8,3)color(0.631,0.153,0.153,1)";
				border = "#(argb,8,8,3)color(0.361,0.349,0.353,1)";
			};
			class ListScrollBar: ScrollBar 
			{
				height = 0.021;
				width = 0.021;
				autoScrollEnabled = 0;
				color[] = {1,1,1,1};
			}; 
		};
		
		class ADP_BUTTONSPECTATE: ADPRscButtonMenu
		{
			idc = 1602;
			text = "Spectate"; //--- ToDo: Localize;
			x = 0.298906 * safezoneW + safezoneX;
			y = 0.896 * safezoneH + safezoneY;
			w = 0.0876563 * safezoneW;
			h = 0.022 * safezoneH;
			tooltip = "Spectates selected player";
			action = "closeDialog 0; _this call ADP_fnc_Spectate";
		};
		class ADP_BUTTONCUSTOM: ADPRscButtonMenu
		{
			idc = 1603;
			text = "Teleport"; //--- ToDo: Localize;
			x = 0.407187 * safezoneW + safezoneX;
			y = 0.555 * safezoneH + safezoneY;
			w = 0.0876563 * safezoneW;
			h = 0.022 * safezoneH;
			action = "closeDialog 0; _this call ADP_fnc_Teleport";
		};
		class ADP_BUTTONKILL: ADPRscButtonMenu
		{
			idc = 1604;
			text = "Kill"; //--- ToDo: Localize;
			x = 0.298906 * safezoneW + safezoneX;
			y = 0.863 * safezoneH + safezoneY;
			w = 0.0876563 * safezoneW;
			h = 0.022 * safezoneH;
			tooltip = "Kills selected player";
			action = "_this call ADP_fnc_Kill";
		};
		class ADP_BUTTONCUSTOM1: ADPRscButtonMenu
		{
			idc = 1605;
			text = "God Mode"; //--- ToDo: Localize;
			x = 0.407187 * safezoneW + safezoneX;
			y = 0.599 * safezoneH + safezoneY;
			w = 0.0876563 * safezoneW;
			h = 0.022 * safezoneH;
			action = "_this call ADP_fnc_GodeMode";
		};
		class ADP_BUTTONCUSTOM2: ADPRscButtonMenu
		{
			idc = 1606;
			text = "Function"; //--- ToDo: Localize;
			x = 0.407187 * safezoneW + safezoneX;
			y = 0.643 * safezoneH + safezoneY;
			w = 0.0876563 * safezoneW;
			h = 0.022 * safezoneH;
			tooltip = "Opens Function Viewer";
			action = "call bis_fnc_help";
		};
		class ADP_BUTTONCUSTOM3: ADPRscButtonMenu
		{
			idc = 1608;
			text = "Config"; //--- ToDo: Localize;
			x = 0.407187 * safezoneW + safezoneX;
			y = 0.687 * safezoneH + safezoneY;
			w = 0.0876563 * safezoneW;
			h = 0.022 * safezoneH;
			tooltip = "Opens Config Viewer";
			action = "_this call ADP_fnc_OpenConfig";
		};
			class ADP_BUTTONCUSTOM4: ADPRscButtonMenu
		{
			idc = 1609;
			text = "Weapons"; //--- ToDo: Localize;
			x = 0.407187 * safezoneW + safezoneX;
			y = 0.731 * safezoneH + safezoneY;
			w = 0.0876563 * safezoneW;
			h = 0.022 * safezoneH;
			action = "[6001,1565,0] spawn ADP_fnc_fillWeapons";
		};
		
		class ADP_BUTTONCUSTOM5: ADPRscButtonMenu
		{
			idc = 1610;
			text = "Vehicles"; //--- ToDo: Localize;
			x = 0.407187 * safezoneW + safezoneX;
			y = 0.775 * safezoneH + safezoneY;
			w = 0.0876563 * safezoneW;
			h = 0.022 * safezoneH;
			action = "[6001,1565,10] spawn ADP_fnc_fillVehicles";
		};
		
		class ADP_BUTTONCUSTOM6: ADPRscButtonMenu
		{
			idc = 1611;
			text = "Air"; //--- ToDo: Localize;
			x = 0.407187 * safezoneW + safezoneX;
			y = 0.819 * safezoneH + safezoneY;
			w = 0.0876563 * safezoneW;
			h = 0.022 * safezoneH;
			action = "[6001,1565] spawn ADP_fnc_fillAir";
		};
		
		class ADP_BUTTONCUSTOM7: ADPRscButtonMenu
		{
			idc = 1612;
			text = "Update"; //--- ToDo: Localize;
			x = 0.613437 * safezoneW + safezoneX;
			y = 0.696 * safezoneH + safezoneY;
			w = 0.0876563 * safezoneW;
			h = 0.022 * safezoneH;
			tooltip = "Updates selected view settings";
			action = "_this call ADP_fnc_ViewSettings";
		};
		
		class ADP_BUTTONCUSTOM8: ADPRscButtonMenu
		{
			idc = 1613;
			text = "Spawn"; //--- ToDo: Localize;
			x = 0.613437 * safezoneW + safezoneX;
			y = 0.819 * safezoneH + safezoneY;
			w = 0.0876563 * safezoneW;
			h = 0.022 * safezoneH;
			tooltip = "Spawns selected items on list";
			action = "[1565] call ADP_fnc_Spawn";
		};
		
		class ADP_ClassName: RscEditR
		{
			idc = 1448; 
			htmlControl = 1;
			style = ST_LEFT+ST_FRAME+ST_MULTI;
			colorText[] = {0,0,0,9};
			sizeEx = "(((((safezoneW / safezoneH) min 1.2) / 1.9) / 25) * 1)";
			lineSpacing = 0.01;
			x = 0.613437 * safezoneW + safezoneX;
			y = 0.790 * safezoneH + safezoneY;
			w = 0.0876563 * safezoneW;
			h = 0.020 * safezoneH;
		};
		
		class ADP_COMBO: ADPRscCombo
		{
			idc = 2100;
			text = "View Distance";
			x = 0.613437 * safezoneW + safezoneX;
			y = 0.575 * safezoneH + safezoneY;
			w = 0.0876563 * safezoneW;
			h = 0.022 * safezoneH;
			class ScrollBar
			{
				color[] = {1,1,1,0.6};
				colorActive[] = {1,1,1,1};
				colorDisabled[] = {1,1,1,0.3};
				thumb = "#(argb,8,8,3)color(1,1,1,1)";
				arrowEmpty = "#(argb,8,8,3)color(1,1,1,1)";
				arrowFull = "#(argb,8,8,3)color(1,1,1,1)";
				border = "#(argb,8,8,3)color(1,1,1,1)";
			};
			class ComboScrollBar: ScrollBar
			{
				color[] = {1,1,1,1};
			}; 
		};
		class ADP_COMBO1: ADPRscCombo
		{
			idc = 2101;
			x = 0.613437 * safezoneW + safezoneX;
			y = 0.619 * safezoneH + safezoneY;
			w = 0.0876563 * safezoneW;
			h = 0.022 * safezoneH;
			class ScrollBar
			{
				color[] = {1,1,1,0.6};
				colorActive[] = {1,1,1,1};
				colorDisabled[] = {1,1,1,0.3};
				thumb = "#(argb,8,8,3)color(1,1,1,1)";
				arrowEmpty = "#(argb,8,8,3)color(1,1,1,1)";
				arrowFull = "#(argb,8,8,3)color(1,1,1,1)";
				border = "#(argb,8,8,3)color(1,1,1,1)";
			};
			class ComboScrollBar: ScrollBar
			{
				color[] = {1,1,1,1};
			}; 
		};
		
		class ADP_COMBO2: ADPRscCombo
		{
			idc = 2102;
			x = 0.613437 * safezoneW + safezoneX;
			y = 0.663 * safezoneH + safezoneY;
			w = 0.0876563 * safezoneW;
			h = 0.022 * safezoneH;
			class ScrollBar
			{
				color[] = {1,1,1,0.6};
				colorActive[] = {1,1,1,1};
				colorDisabled[] = {1,1,1,0.3};
				thumb = "#(argb,8,8,3)color(1,1,1,1)";
				arrowEmpty = "#(argb,8,8,3)color(1,1,1,1)";
				arrowFull = "#(argb,8,8,3)color(1,1,1,1)";
				border = "#(argb,8,8,3)color(1,1,1,1)";
			};
			class ComboScrollBar: ScrollBar {
				color[] = {1,1,1,1};
			}; 
		};

		class ADP_MenuScripts: ADPRscButtonMenu
		{
			idc = 2400;
			text = "Debugging"; //--- ToDo: Localize;
			x = 0.2916 * safezoneW + safezoneX;
			y = 0.499889 * safezoneH + safezoneY;
			w = 0.132 * safezoneW;
			h = 0.033 * safezoneH;
			tooltip = "To execute and watch all of your Favorite Variables";
			action = "createDialog 'ADPDebugging'";
		};
		class ADP_MenuMain: ADPRscButtonMenu
		{
			idc = 2401;
			text = "Main"; //--- ToDo: Localize;
			x = 0.4229 * safezoneW + safezoneX; //0.1313
			y = 0.499889 * safezoneH + safezoneY;
			w = 0.132 * safezoneW;
			h = 0.033 * safezoneH;
		};
		class ADP_MenuSpawning: ADPRscButtonMenu
		{
			idc = 2403;
			text = "Spawning"; //--- ToDo: Localize;
			x = 0.5542 * safezoneW + safezoneX;
			y = 0.499889 * safezoneH + safezoneY;
			w = 0.132 * safezoneW;
			h = 0.033 * safezoneH;
			tooltip = "To spawn anything your heart desires";
			action = "createDialog 'ADPSpawning'";
		};
	
	};
};
